# class XMLRPC::Service::PublicInstanceMethodsInterface

### Public Class Methods

new(prefix) click to toggle source
Calls superclass method XMLRPC::Service::BasicInterface.new

    # File lib/xmlrpc/utils.rb, line 135
    def initialize(prefix)
      super(prefix)
    end

### Public Instance Methods

get_methods(obj, delim=".") click to toggle source

    # File lib/xmlrpc/utils.rb, line 139
    def get_methods(obj, delim=".")
      prefix = @prefix + delim
      obj.class.public_instance_methods(false).collect { |name|
        [prefix + name.to_s, obj.method(name).to_proc, nil, nil]
      }
    end